logpr <- function(pars,prR,prB) {

	dnorm(pars[1], mean=prB$mu, sd=sqrt(prB$V),log=T)+
		log(dinvgamma(pars[2],shape=prR$nu/2,scale=(prR$nu*prR$V)/2))

}


prior <- list(R=list(V=1,nu=0.002),B=list(mu=0,V=1e8))

loglikprior <- function(pars,y,prR,prB) {

	loglik(pars,y)+logpr(pars,prR,prB)
}

MLb <- optim(c(mean=0,v=1),fn=loglikprior,y=Ndata$y,prR=prior$R,prB=prior$B,
control=list(fnscale=-1, reltol=1e-16))
